Skip to main content

Update Resident: Rentvine

PUThttps://api.propexo.com/v1/residents/rentvine/:resident_id

Note: If you'd like to update the resident's address, phone number, or email address, this will require additional configuration to read in required metadata. If you'd like to update these fields, please contact support.

InterfaceMethod
TenantsPOST /api/manager/tenants/{contactID}/addresses/{contactAddressID}
ContactsPOST /api/manager/contacts/{contactID}/addresses
TenantsPOST /api/manager/tenants/{contactID}/phones/{contactPhoneID}
ContactsPOST /api/manager/contacts/{contactID}/phones
TenantsPOST /api/manager/tenants/{contactID}/emails/{emailID}
ContactsPOST /api/manager/contacts/{contactID}/emails
TenantsPOST /api/manager/leases/{leaseID}/tenants/{tenantID}
TenantsPOST /api/manager/tenants/{contactID}

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    first_namestring

    The first name associated with the resident

    middle_namestring

    The middle name associated with the resident

    last_namestring

    The last name associated with the resident

    email_1string<email>

    The primary email address associated with the resident

    date_of_birthstring

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    Show 73 enum values
    ABBCMBNBNLNTNSNUONPEQCSKYTALAKASAZARAAAEAPCACOCTDEDCFLGAGUHIIDILINIAKSKYLAMEMDMAMIMNMSMOMTNENVNHNJNMNYNCNDMPOHOKORPAPRRISCSDTNTXUMUTVTVIVAWAWVWIWY
    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    Show 2 enum values
    USCA
    phone_1string

    Primary phone number associated with the resident

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    MOBILEHOMEWORKFAXOTHER
    is_primaryboolean

    Whether the resident is the primary record

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo unique identifier for the resident. The resident must be a primary.

    first_namestring

    The first name associated with the resident

    middle_namestring

    The middle name associated with the resident

    last_namestring

    The last name associated with the resident

    email_1string<email>

    The primary email address associated with the resident

    date_of_birthstring

    The date of birth associated with the resident

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the resident

    address_2string

    The second address line associated with the resident

    citystring

    The city associated with the resident

    statestring

    The state associated with the resident

    Show 73 enum values
    ABBCMBNBNLNTNSNUONPEQCSKYTALAKASAZARAAAEAPCACOCTDEDCFLGAGUHIIDILINIAKSKYLAMEMDMAMIMNMSMOMTNENVNHNJNMNYNCNDMPOHOKORPAPRRISCSDTNTXUMUTVTVIVAWAWVWIWY
    zipstring

    The zip code associated with the resident

    countrystring

    The country associated with the resident

    Show 2 enum values
    USCA
    phone_1string

    Primary phone number associated with the resident

    Possible values: Value must match regular expression ^\+?\d{1,50}$

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    MOBILEHOMEWORKFAXOTHER
    is_primaryboolean

    Whether the resident is the primary record

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/rentvine/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/rentvine/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AB",
"zip": "string",
"country": "US",
"phone_1": "string",
"phone_1_type": "MOBILE",
"is_primary": true
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"first_name": "string",
"middle_name": "string",
"last_name": "string",
"email_1": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AB",
"zip": "string",
"country": "US",
"phone_1": "string",
"phone_1_type": "MOBILE",
"is_primary": true
}
}